Page MenuHomePhabricator

"Title::newFromTitle: $text must be a string" from Linker::formatComment
Closed, ResolvedPublic

Description

Looking in logstash for channel:T76305 to find these hits.

Warning: Title::newFromTitle: $text must be a string
from
Linker::commentBlock/Linker::formatComment/Linker::formatLinksInComment/Closure$Linker::formatLinksInComment/Title::newFromText

Note that Title::newFromText already throws for objects and tolerates null. So this must be a primitive non-null, non-string value being passed somehow.

Event Timeline

Krinkle created this task.Dec 16 2015, 9:26 PM
Krinkle updated the task description. (Show Details)
Krinkle raised the priority of this task from to Normal.
Krinkle added subscribers: Aklapper, Reedy.
TTO added a subscriber: TTO.Jan 28 2016, 1:04 PM

This occurs if a link like [[:]] or [[::|foo]] appears in a summary. The value false is being passed to Title::newFromText.

Change 267024 had a related patch set uploaded (by TTO):
Linker: Avoid passing false to Title::newFromText

https://gerrit.wikimedia.org/r/267024

Change 267024 merged by jenkins-bot:
Linker: Avoid passing false to Title::newFromText

https://gerrit.wikimedia.org/r/267024

TTO closed this task as Resolved.Mar 2 2016, 11:33 PM